package jp.ossc.petstore.model;

import java.util.Date;

import jp.ossc.petstore.model.Customer;

/**
 * 注文情報モデルクラス
 * @author ossc
 * @version $Revision: 1.2 $
 */
public class Order {

	/**
	 * 注文ＩＤ
	 */
    private int id;

    /**
     * 注文日時
     */
    private Date purchase_date;

    /**
     * 顧客情報
     */
    private Customer customer;


    /**
     * コンストラクタ
     */
    public Order() {
    }

    /**
     * コンストラクタ
     * @param date 注文日時
     * @param customer 顧客情報
     */
    public Order(Date purchase_date, Customer customer) {
        this.purchase_date = purchase_date;
        this.customer = customer;
    }

    /**
     * 注文ＩＤ取得
     * @return 注文ＩＤ
     */
    public int getId() {
        return this.id;
    }

    /**
     * 注文ＩＤ設定
     * @param id 注文ＩＤ
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     * 注文日時取得
     * @return 注文日時
     */
    public Date getPurchase_date() {
        return this.purchase_date;
    }

    /**
     * 注文日時設定
     * @param date 注文日時
     */
    public void setPurchase_date(Date purchase_date) {
        this.purchase_date = purchase_date;
    }

    /**
     * 顧客情報取得
     * @return 顧客情報
     */
    public Customer getCustomer() {
        return this.customer;
    }

    /**
     * 顧客情報設定
     * @param customer 顧客情報
     */
    public void setCustomer(Customer customer) {
        this.customer = customer;
    }

}
